{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ABS_NUMERO"; 
            externalType = NUMBER; 
            name = absNumero; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "C_ANCIENNETE"; 
            externalType = VARCHAR2; 
            name = cAnciennete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_SEQ_ARR_ANNUL"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = ""; }; 
            name = congeAnnulOrdre; 
            precision = 10; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "CGM_ORDRE"; }; 
            name = congeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ANNULATION"; 
            externalType = DATE; 
            name = dAnnulation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRET_TRAVAIL"; 
            externalType = DATE; 
            name = dArretTravail; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARR_CGNT_MALADIE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "D_ARRETE_MALADIE"; }; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CGNT_MALADIE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "D_DEB_CG_MALADIE"; }; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_FIN_CGNT_MALADIE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "D_FIN_CG_MALADIE"; }; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARR_CGNT_MALADIE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "NO_ARRETE_MALADIE"; }; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_ANNULATION"; 
            externalType = VARCHAR2; 
            name = noArreteAnnulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = VARCHAR2; 
            name = temConfirme; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_DUREE_CONTINUE"; 
            externalType = VARCHAR2; 
            name = temDureeContinue; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_EN_CAUSE"; 
            externalType = VARCHAR2; 
            name = temEnCause; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = VARCHAR2; 
            name = temGestEtab; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_PROLONG_MALADIE"; 
            externalType = VARCHAR2; 
            name = temProlongMaladie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_REQUALIF_MALADIE"; 
            externalType = VARCHAR2; 
            name = temRequalifMaladie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_JOUR_CARENCE"; 
            externalType = VARCHAR2; 
            name = temJourCarence; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "NB_JOURS_COMPTABLES"; 
            externalType = NUMBER; 
            name = nbJoursComptables; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        noDossierPers, 
        noArrete, 
        temRequalifMaladie, 
        temProlongMaladie, 
        congeOrdre, 
        absNumero, 
        noArreteAnnulation, 
        temConfirme, 
        temGestEtab, 
        cAnciennete, 
        temDureeContinue, 
        congeAnnulOrdre, 
        temEnCause, 
        commentaire, 
        temJourCarence, 
        temValide, 
        nbJoursComptables
    ); 
    className = "org.cocktail.mangue.modele.mangue.conges.EOCgntMaladie"; 
    classProperties = (
        noArrete, 
        dateArrete, 
        dateFin, 
        temRequalifMaladie, 
        temProlongMaladie, 
        dCreation, 
        dModification, 
        dateDebut, 
        individu, 
        absence, 
        dAnnulation, 
        noArreteAnnulation, 
        temConfirme, 
        temGestEtab, 
        anciennete, 
        dArretTravail, 
        temDureeContinue, 
        congeDeRemplacement, 
        temEnCause, 
        commentaire, 
        temJourCarence, 
        temValide, 
        nbJoursComptables
    ); 
    externalName = "MANGUE.CGNT_MALADIE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            noArrete, 
            dateArrete, 
            dateFin, 
            temRequalifMaladie, 
            temProlongMaladie, 
            dArretTravail, 
            dateDebut, 
            individu, 
            absence, 
            dAnnulation, 
            noArreteAnnulation, 
            temConfirme, 
            temGestEtab, 
            anciennete, 
            temDureeContinue, 
            congeDeRemplacement, 
            temEnCause, 
            commentaire, 
            temJourCarence, 
            temValide, 
            nbJoursComptables
        ); 
    }; 
    name = CgntMaladie; 
    primaryKeyAttributes = (congeOrdre); 
    relationships = (
        {
            destination = Absences; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = absNumero; sourceAttribute = absNumero; }); 
            name = absence; 
        }, 
        {
            destination = ParamCgntMal; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cAnciennete; sourceAttribute = cAnciennete; }); 
            name = anciennete; 
        }, 
        {
            destination = CgntMaladie; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = congeOrdre; sourceAttribute = congeAnnulOrdre; }); 
            name = congeDeRemplacement; 
        }, 
        {
            destination = IndividuUlr; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }
    ); 
}
